/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-11-05
 * 描述            ：二级接口-平整机_L2_机组停机检测
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Tpm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Tpm.mapper.IfTpm01L2StopMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_TPM01_L2_STOP", namespace=IfTpm01L2StopMapper.class)
public class IfTpm01L2Stop extends BaseVO implements Serializable {
	/** 
	 * 消息时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date msg_time;
	public Date getMsg_time() {
		return this.msg_time;
	}
	public void setMsg_time(Date msg_time) {
		this.msg_time = msg_time;
	}

	/** 
	 * 停机标识（1：停机、0：开机）
	 */ 
	@Column
	private Long flag;
	public Long getFlag() {
		return this.flag;
	}
	public void setFlag(Long flag) {
		this.flag = flag;
	}

	/** 
	 * 停机时间（YYYYMMDDHHMMSS）
	 */ 
	@Column
	private String time;
	public String getTime() {
		return this.time;
	}
	public void setTime(String time) {
		this.time = time;
	}

	/** 
	 * 原因代码（0：待用、1：故障、2：其他）
	 */ 
	@Column
	private String reason_code;
	public String getReason_code() {
		return this.reason_code;
	}
	public void setReason_code(String reason_code) {
		this.reason_code = reason_code;
	}

}
